Skip to main content
GET
List Social Selling post comments

Authorizations

x-api-key
string
header
required

Path Parameters

postId
integer
required

Tracked post id (id of the posts list).

Query Parameters

filter
enum<string>
default:all

unanswered: threads the answeredBy identity has not replied to (no non-deleted reply by it, not resolved or dismissed in the reply queue, not started by it). mentions: threads naming the post author. questions: threads with a question.

Available options:
all,
unanswered,
mentions,
questions
answeredBy
integer

Identity whose replies count as answers for unanswered and answered. Defaults to the post author.

since
string<date-time>

Only threads with a comment or reply Enginy first read after this ISO instant. Pass the previous latestObservedAt to get only what is new.

Example:

"2026-10-26T10:00:00Z"

includeDeleted
boolean
default:false

Include comments that disappeared from LinkedIn (marked isDeleted).

cursor
string

nextCursor of the previous page.

Required string length: 1 - 200
limit
integer
default:25

Threads per page (1–100).

Required range: 1 <= x <= 100

Response

Comment threads of the post

status
enum<string>
required
Available options:
success
message
string
required
data
object
required